Bug 1186019 - cockpit does not detect any system info on ARM machines
Summary: cockpit does not detect any system info on ARM machines
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: 29
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Pitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-26 20:22 UTC by Dennis Gilmore
Modified: 2018-11-27 22:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dennis Gilmore 2015-01-26 20:22:37 UTC
Description of problem:
Hardware 	
Asset Tag 	
BIOS 	

are all empty on an arm system.

Version-Release number of selected component (if applicable):
cockpit-0.27-2.fc21.armv7hl

How reproducible:
always

Steps to Reproduce:
1. install and start cockpit 
2. log in 
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Admin XMLRPC Client 2015-03-03 15:11:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Stef Walter 2015-03-16 08:23:37 UTC
Do you have a machine where we can reproduce this?

Comment 3 Dennis Gilmore 2015-03-16 19:21:18 UTC
every arm machine I have it is reproducible on

Comment 4 Stef Walter 2015-10-19 10:42:01 UTC
I have no ARM machine available for testing here. Without such a fix (or a patch) I'm afraid this is going to be hard to fix.

Comment 5 Dennis Gilmore 2015-10-19 16:56:47 UTC
How does cockpit get the info? perhaps I can help. additionally there is https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers there is a couple of arm systems, you can also get arm systems in beaker.

Comment 6 Stef Walter 2015-10-20 08:56:40 UTC
Ah yes, good question.

We look at the following files:

bios_vendor
bios_version
bios_date
sys_vendor
product_name
product_serial
chassis_serial

In this directory:

/sys/devices/virtual/dmi/id

Code: https://github.com/cockpit-project/cockpit/blob/master/pkg/systemd/host.js#L402

Comment 7 Dennis Gilmore 2015-10-20 17:57:43 UTC
This is quite a broken way to look up info, most arches do not have dmi support

Comment 8 Stef Walter 2015-10-20 18:07:17 UTC
I think Cockpit would welcome contributions to make this more generic and less "broken".

Comment 9 Fedora End Of Life 2015-11-04 10:05:00 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Dennis Gilmore 2015-11-18 15:58:46 UTC
moving to rawhide as it is still present there

Comment 11 Jan Kurik 2016-02-24 13:20:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 12 Dominik Perpeet 2016-04-28 14:32:43 UTC
Where can we get the information? Is the tool "lshw" available on the target systems, or what would the source be?

That tool has the ability to output json (easy to consume in Cockpit) and we could use that if it's available.

Note that the BIOS information has been removed since the original report, since it didn't seem necessary on the Cockpit system page.

Comment 13 Dennis Gilmore 2016-04-29 12:28:41 UTC
lshw is available.

    description: ARMv7 Processor rev 3 (v7l)
    product: NVIDIA Tegra124 Jetson TK1
    width: 4294967295 bits
    capabilities: smp
 
but I am not 100% sure it provides everything

Comment 14 Fedora End Of Life 2017-07-25 18:48:59 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Dominik Perpeet 2017-07-26 08:32:11 UTC
Garrett, is this part of the hardware information story? Are we already covering this now?

Comment 16 Jan Kurik 2017-08-15 06:48:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 17 Martin Pitt 2018-01-24 20:31:13 UTC
This will indeed turn up as part of https://github.com/cockpit-project/cockpit/wiki/Feature:-Hardware-View again, which I'm currently looking into. This is a technical implementation question, not a design one, so taking this bug from Garrett.

Comment 18 Ben Cotton 2018-11-27 17:22:12 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.